petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionSetDof

Sets the number of degrees of freedom associated with a given point.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSetDof(PetscSection s, PetscInt point, PetscInt numDof)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| numDof | - the number of dof

### See Also

PetscSectionGetDof(), PetscSectionAddDof(), PetscSectionCreate()

### Level

intermediate

### Location

src/vec/is/utils/vsectionis.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages